package com.chenyang.nse.bussiness.webtools.entity.vo;

public class ProcedureParam {
   private String owner;
   private String paramName;
   private Integer position;
   private String inout;
   private String type;
   private Integer columnsize;
   private Integer standsize;
   private Integer decimaldigits;

   public String getOwner() {
      return this.owner;
   }

   public String getParamName() {
      return this.paramName;
   }

   public Integer getPosition() {
      return this.position;
   }

   public String getInout() {
      return this.inout;
   }

   public String getType() {
      return this.type;
   }

   public Integer getColumnsize() {
      return this.columnsize;
   }

   public Integer getStandsize() {
      return this.standsize;
   }

   public Integer getDecimaldigits() {
      return this.decimaldigits;
   }

   public void setOwner(final String owner) {
      this.owner = owner;
   }

   public void setParamName(final String paramName) {
      this.paramName = paramName;
   }

   public void setPosition(final Integer position) {
      this.position = position;
   }

   public void setInout(final String inout) {
      this.inout = inout;
   }

   public void setType(final String type) {
      this.type = type;
   }

   public void setColumnsize(final Integer columnsize) {
      this.columnsize = columnsize;
   }

   public void setStandsize(final Integer standsize) {
      this.standsize = standsize;
   }

   public void setDecimaldigits(final Integer decimaldigits) {
      this.decimaldigits = decimaldigits;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ProcedureParam)) {
         return false;
      } else {
         ProcedureParam other = (ProcedureParam)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$owner = this.getOwner();
            Object other$owner = other.getOwner();
            if (this$owner == null) {
               if (other$owner != null) {
                  return false;
               }
            } else if (!this$owner.equals(other$owner)) {
               return false;
            }

            Object this$paramName = this.getParamName();
            Object other$paramName = other.getParamName();
            if (this$paramName == null) {
               if (other$paramName != null) {
                  return false;
               }
            } else if (!this$paramName.equals(other$paramName)) {
               return false;
            }

            Object this$position = this.getPosition();
            Object other$position = other.getPosition();
            if (this$position == null) {
               if (other$position != null) {
                  return false;
               }
            } else if (!this$position.equals(other$position)) {
               return false;
            }

            Object this$inout = this.getInout();
            Object other$inout = other.getInout();
            if (this$inout == null) {
               if (other$inout != null) {
                  return false;
               }
            } else if (!this$inout.equals(other$inout)) {
               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            Object this$columnsize = this.getColumnsize();
            Object other$columnsize = other.getColumnsize();
            if (this$columnsize == null) {
               if (other$columnsize != null) {
                  return false;
               }
            } else if (!this$columnsize.equals(other$columnsize)) {
               return false;
            }

            Object this$standsize = this.getStandsize();
            Object other$standsize = other.getStandsize();
            if (this$standsize == null) {
               if (other$standsize != null) {
                  return false;
               }
            } else if (!this$standsize.equals(other$standsize)) {
               return false;
            }

            Object this$decimaldigits = this.getDecimaldigits();
            Object other$decimaldigits = other.getDecimaldigits();
            if (this$decimaldigits == null) {
               if (other$decimaldigits != null) {
                  return false;
               }
            } else if (!this$decimaldigits.equals(other$decimaldigits)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof ProcedureParam;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $owner = this.getOwner();
      result = result * 59 + ($owner == null ? 43 : $owner.hashCode());
      Object $paramName = this.getParamName();
      result = result * 59 + ($paramName == null ? 43 : $paramName.hashCode());
      Object $position = this.getPosition();
      result = result * 59 + ($position == null ? 43 : $position.hashCode());
      Object $inout = this.getInout();
      result = result * 59 + ($inout == null ? 43 : $inout.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $columnsize = this.getColumnsize();
      result = result * 59 + ($columnsize == null ? 43 : $columnsize.hashCode());
      Object $standsize = this.getStandsize();
      result = result * 59 + ($standsize == null ? 43 : $standsize.hashCode());
      Object $decimaldigits = this.getDecimaldigits();
      result = result * 59 + ($decimaldigits == null ? 43 : $decimaldigits.hashCode());
      return result;
   }

   public String toString() {
      return "ProcedureParam(owner=" + this.getOwner() + ", paramName=" + this.getParamName() + ", position=" + this.getPosition() + ", inout=" + this.getInout() + ", type=" + this.getType() + ", columnsize=" + this.getColumnsize() + ", standsize=" + this.getStandsize() + ", decimaldigits=" + this.getDecimaldigits() + ")";
   }
}
